name: signature-generator
recipe: lamp
config:
  webroot: public
  php: 8.2

services:
  appserver:
    build_as_root:
      - apt-get update
      - apt-get install ca-certificates curl gnupg -y
      - mkdir -p /etc/apt/keyrings
      - curl -fsSL https://deb.nodesource.com/gpgkey/nodesource-repo.gpg.key | gpg --dearmor -o /etc/apt/keyrings/nodesource.gpg
      - echo "deb [signed-by=/etc/apt/keyrings/nodesource.gpg] https://deb.nodesource.com/node_18.x nodistro main" | tee /etc/apt/sources.list.d/nodesource.list
      - apt-get update
      - apt-get install nodejs -y
  mailhog:
    type: mailhog

tooling:
  remove-zoneidentifier:
    service: appserver
    description: Remove all Zone.Identifier files that can be generated by Windows
    cmd: find . -name "*Zone\.Identifier" -exec rm -rf {} \;